  #include <Wire.h>
  #include "SparkFunMPL3115A2.h"
  
  //Create an instance of the object
  MPL3115A2 myPressure;
  
  void setup()
  {
    Wire.begin();        // Join i2c bus
    Serial.begin(9600);  // Start serial for output
    myPressure.begin(); // Get sensor online
    // Measure pressure in Pascals from 20 to 110 kPa
    myPressure.setModeBarometer(); 
    // Set Oversample to the recommended 128
    myPressure.setOversampleRate(7);
    // Enable all three pressure and temp event flags  
    myPressure.enableEventFlags(); 
  }
  
  void loop()
  {
    //Read the pressure and display in serial monitor
    float pressure = myPressure.readPressure();
    Serial.print("Pressure(Pa):");
    Serial.print(pressure, 2);
    Serial.println();
  }
