//////////////////////////////////////////////
//        RemoteXY include library          //
//////////////////////////////////////////////

// RemoteXY select connection mode and include library 
#define REMOTEXY_MODE__SOFTSERIAL
#include <SoftwareSerial.h>
#include <RemoteXY.h>

// RemoteXY connection settings 
#define REMOTEXY_SERIAL_RX 51
#define REMOTEXY_SERIAL_TX 50
#define REMOTEXY_SERIAL_SPEED 9600


// RemoteXY configurate  
#pragma pack(push, 1)
uint8_t RemoteXY_CONF[] =
  { 255,1,0,0,0,11,0,11,13,0,
  4,128,28,27,51,6,6,26 };
  
// this structure defines all the variables and events of your control interface 
struct {

    // input variables
  int8_t slider; // =0..100 slider position 

    // other variable
  uint8_t connect_flag;  // =1 if wire connected, else =0 

} RemoteXY;
#pragma pack(pop)

/////////////////////////////////////////////
//           END RemoteXY include          //
/////////////////////////////////////////////

#include <Servo.h>
int pin=7; 
double angle;
Servo servo; 

void setup() 
{
  RemoteXY_Init (); 
  servo.attach(pin);
}

void loop() 
{ 
  RemoteXY_Handler ();
  angle=map(RemoteXY.slider,0,100,0,180);
  servo.write(angle);
}
