#include <SPI.h>
#include <MFRC522.h>

int RED_LED=7;
int GREEN_LED=6;

#define RST_PIN 22 
#define SS_PIN 53

MFRC522 mfrc522(SS_PIN,RST_PIN);
byte nuidPICC[4];
int key[4]={23,189,10,179}; 
bool same=true;

void setup() 
{
  pinMode(RED_LED,OUTPUT);
  pinMode(GREEN_LED,OUTPUT);
  
  Serial.begin(9600);
  SPI.begin();
  mfrc522.PCD_Init(); 
  Serial.println("Reading the RFID code");
}

void loop() {
  // put your main code here, to run repeatedly:
  if(mfrc522.PICC_IsNewCardPresent())
  {
     if(mfrc522.PICC_ReadCardSerial())
     {
        Serial.print("RFID card ID: ");
        for (byte i = 0; i < mfrc522.uid.size; i++) 
        {
          nuidPICC[i] = mfrc522.uid.uidByte[i];
          Serial.print(mfrc522.uid.uidByte[i] < 0x10 ? " 0" : " ");
          Serial.print(mfrc522.uid.uidByte[i], DEC);
        }
     Serial.println();
     mfrc522.PICC_HaltA();
    }
  }

  //Key checking
  same=true;
  for(byte i = 0; i < 4; i++)
  {
    if(key[i]!=nuidPICC[i])same=false;
  }

  //Cleaning table
  for(byte i = 0; i < 4; i++) nuidPICC[i]=0;

  if(same)
  {
    Serial.println("Key recognized");
    digitalWrite(GREEN_LED,HIGH);
    digitalWrite(RED_LED,LOW);
  }
  else
  {
    digitalWrite(GREEN_LED,LOW);
    digitalWrite(RED_LED,HIGH);
  }
  delay(500);
}
