#include <LiquidCrystal.h>
#define RS 22
#define E 24
#define D4 26
#define D5 28
#define D6 30
#define D7 32

int UV_pin = A0;
int UV_analogVal = 0;
double UV_value = 0.0;
int UV_index = 0;

LiquidCrystal lcd(RS, E, D4, D5, D6, D7);


void setup() {
  // put your setup code here, to run once:
  pinMode(UV_pin, INPUT);
  lcd.begin(16,2);
  lcd.clear();
}

void loop() {
  // put your main code here, to run repeatedly:
  UV_analogVal=analogRead(UV_pin);
  UV_value=UV_analogVal*5.0/1024.0;
  UV_index=map(UV_value,0.99,2.6,0,15);

  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("A0=");
  lcd.print(UV_analogVal);
  lcd.print(" U=");
  lcd.print(UV_value);
  lcd.print("V"); 
  lcd.setCursor(0,1);
  lcd.print("Index=");
  lcd.print(UV_index);
  delay(100);
}
