  
  // Basic demo for accelerometer readings from Adafruit LIS3DH
  
  #include <SPI.h> 
  #include <Adafruit_LIS3DH.h>
  #include <Adafruit_Sensor.h>
  
  #define LIS3DH_CS 10 
  
  Adafruit_LIS3DH lis = Adafruit_LIS3DH(LIS3DH_CS); 
  
  void setup(void) 
  {
    Serial.begin(115200);
    Serial.println("LIS3DH test!");
  
    if (! lis.begin(0x18))  
    { 
      Serial.println("Couldnt start");
      while (1) yield();
    }
    Serial.println("LIS3DH found!");
  
    Serial.print("Range = "); Serial.print(2 << lis.getRange());
    Serial.println("G");
  
    // lis.setDataRate(LIS3DH_DATARATE_50_HZ);
    Serial.print("Data rate set to: "); 
    switch (lis.getDataRate()) 
    {
      case LIS3DH_DATARATE_1_HZ: Serial.println("1 Hz"); break;
      case LIS3DH_DATARATE_10_HZ: Serial.println("10 Hz"); break;
      case LIS3DH_DATARATE_25_HZ: Serial.println("25 Hz"); break;
      case LIS3DH_DATARATE_50_HZ: Serial.println("50 Hz"); break;
      case LIS3DH_DATARATE_100_HZ: Serial.println("100 Hz"); break;
      case LIS3DH_DATARATE_200_HZ: Serial.println("200 Hz"); break;
      case LIS3DH_DATARATE_400_HZ: Serial.println("400 Hz"); break;
  
      case LIS3DH_DATARATE_POWERDOWN: 
        Serial.println("Powered Down"); break;
      case LIS3DH_DATARATE_LOWPOWER_5KHZ: 
        Serial.println("5 Khz Low Power"); break;
      case LIS3DH_DATARATE_LOWPOWER_1K6HZ: 
        Serial.println("16 Khz Low Power"); break;
    }
  }
  
  void loop() 
  {
    lis.read();      // get X Y and Z data at once 
    // Then print out the raw data
    Serial.print("X:  "); Serial.print(lis.x); 
    Serial.print("  \tY:  "); Serial.print(lis.y);
    Serial.print("  \tZ:  "); Serial.print(lis.z);
  
    /* Or....get a new sensor event, normalized */ 
    sensors_event_t event; 
    lis.getEvent(&event);
  
    /* Display the results (acceleration is measured in m/s^2) */
    Serial.print("\t\tX: "); Serial.print(event.acceleration.x); 
    Serial.print(" \tY: "); Serial.print(event.acceleration.y);
    Serial.print(" \tZ: "); Serial.print(event.acceleration.z);
    Serial.println(" m/s^2 ");
  
    Serial.println();
  
    delay(200);
  }
